%define api 2.0
%define major 0

%define libphodav %mklibname phodav %api %major
%define libphodavdevel %mklibname -d phodav

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		phodav
Version:	2.2
Release:	%mkrel 1
Summary:	A WebDAV server using libsoup
Group:		System/Servers
License:	LGPLv2+
URL:		https://wiki.gnome.org/phodav
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	systemd-devel
BuildRequires:	systemd-units
BuildRequires:	libsoup-devel
BuildRequires:	avahi-gobject-devel
BuildRequires:	intltool
BuildRequires:	asciidoc
BuildRequires:	xmlto

%description
phởdav is a WebDAV server implementation using libsoup (RFC 4918).

%package i18n
Group:		System/Internationalization
Summary:	Translation files for %{name}
BuildArch:	noarch

%description i18n
phởdav is a WebDAV server implementation using libsoup (RFC 4918).

%package -n     %{libphodav}
Group:		System/Libraries
Summary:        A library to serve files with WebDAV
Requires:	%{name}-i18n

%description -n %{libphodav}
phởdav is a WebDAV server implementation using libsoup (RFC 4918).
This package provides the library.

%package -n     %{libphodavdevel}
Group:		Development/C
Summary:        Development files for libphodav
Requires:       %{libphodav} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libphodavdevel}
The libphodav-devel package includes the header files for libphodav.

%package -n     chezdav
Group:		System/Servers
Summary:        A simple WebDAV server program

%description -n chezdav
The chezdav package contains a simple tool to share a directory
with WebDAV. The service is announced over mDNS for clients to discover.

%package -n     spice-webdavd
Summary:        Spice daemon for the DAV channel
Group:          System/Servers
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description -n spice-webdavd
The spice-webdavd package contains a daemon to proxy WebDAV request to
the Spice virtio channel.

%prep
%setup -q

%build
%configure2_5x --with-avahi --disable-static
%make

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%find_lang phodav --with-gnome --all-name

%post -n spice-webdavd
%_post_service spice-webdavd

%preun -n spice-webdavd
%_preun_service spice-webdavd

%files i18n -f %{name}.lang

%files -n %{libphodav}
%doc NEWS COPYING
%{_libdir}/libphodav-%{api}.so.%{major}
%{_libdir}/libphodav-%{api}.so.%{major}.*

%files -n %{libphodavdevel}
%{_includedir}/libphodav-%{api}
%{_libdir}/libphodav-%{api}.so
%{_libdir}/pkgconfig/libphodav-%{api}.pc
%{_datadir}/gtk-doc/html/phodav-%{api}

%files -n chezdav
%{_bindir}/chezdav
%{_mandir}/man1/chezdav.1*

%files -n spice-webdavd
%doc NEWS COPYING
%{_sbindir}/spice-webdavd
%{_udevrulesdir}/70-spice-webdavd.rules
%{_unitdir}/spice-webdavd.service


%changelog
* Wed Mar 22 2017 ovitters <ovitters> 2.2-1.mga6
+ Revision: 1094368
- new version 2.2
- fix source url

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Nov 25 2015 fwang <fwang> 2.0-2.mga6
+ Revision: 905967
- bump rel
- add lang package
- adopt to mga
- imported package phodav

